<?php
/**
 * Utilisations de pipelines par balint
 *
 * @plugin     balint
 * @copyright  2020
 * @author     Gamuza[informatique]
 * @licence    GNU/GPL
 * @package    SPIP\Fip\Pipelines
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * Charger des styles CSS
 *
 * @pipeline insert_head_css
 * @param string $flux Code html des styles CSS à charger
 * @return string Code html complété
**/
//function balint_insert_head_css($flux){
	//$flux .= '<link rel="stylesheet" href="' . produire_fond_statique('css/vignettes.css') . '" type="text/css" />' . "\n";
	//$flux .= '<link rel="stylesheet" href="' . timestamp(find_in_path('css/bigup.css')) . '" type="text/css" />' . "\n";
	//return $flux;
//}

/**
 * Charger des scripts jquery
 *
 * @pipeline jqueryui_plugins
 * @param array $scripts Liste à charger
 * @return array Liste complétée
**/
//function balint_jquery_plugins($scripts){
	//$scripts[] = "aa";
	//$scripts[] = produire_fond_statique('javascript/bigup.js');
	//return $scripts;
//}

/**
 * Charger des scripts jquery ui
 *
 * @pipeline jqueryui_plugins
 * @param array $scripts Liste à charger
 * @return array Liste complétée
**/
function balint_jqueryui_plugins($scripts){
	$scripts[] = "datepicker";
	$scripts[] = "i18n/datepicker-fr";
	$scripts[] = "autocomplete";
	return $scripts;
}

